API referenceMocking services
Get a mock result
Retrieve the mocked service result for a specific person and service.
GET
/mockery/result/{person_id}/{service_name}curl -X GET "https://demo.verigram.kz/mockery/result/{person_id}/verilive" \
-H "X-Verigram-Api-Key: $IDENTIFICATION_SAAS_API_KEY"Авторизация
X-Verigram-Api-KeystringheaderобязательноAPI key in the X-Verigram-Api-Key header
Параметры
person_idstringpathобязательноPerson ID
service_nameenum<string>pathобязательноService name
Одно из:veriliveverilive-one-shotverilive-infraredverifaceveridockiscredocegov-docaml-cftflow-formconsentveriphoneesignkyc-listotpnotificationdevice-filterdoc-previewdoc-builderfile-storageclient-carderdinterrupterlanguage-selectoramlcft-service
Ответ
application/json
Mock result details
consumer_idstringобязательноIdentifier of the consumer who owns the mock result.
person_idstringобязательноIdentifier of a person associated with the session. Alphanumeric string.
future_session_idstringIdentifier of the future session associated with the mock.
service_nameenum<string>обязательноОдно из:veriliveverilive-one-shotverilive-infraredverifaceveridockiscredocegov-docaml-cftflow-formconsentveriphoneesignkyc-listotpnotificationdevice-filterdoc-previewdoc-builderfile-storageclient-carderdinterrupterlanguage-selectoramlcft-servicecreated_atstring<date-time>Timestamp when the mock result was created.
updated_atstring<date-time>Timestamp of the last update to the mock result.
deleted_atstring<date-time>Timestamp when the mock result was deleted.
resultone ofобязательноService-specific result selected by service_name.
{
"consumer_id": "string",
"person_id": "string",
"future_session_id": "string",
"service_name": "verilive",
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z",
"deleted_at": "2026-01-15T09:30:00Z",
"result": {
"created_at": "2026-01-15T09:30:00Z",
"created_by": "string",
"error_code": "string",
"error_msg": "string",
"service_name": "verilive",
"service_status": "real",
"error_codes": [
"timeout"
],
"warnings": [
"timeout"
],
"start_time": "2026-01-15T09:30:00Z",
"end_time": "2026-01-15T09:30:00Z"
}
}